jlink (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.jlink.jlink,jlink class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.jlink
Class jlink

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.jlink.jlink

public class jlink
extends java.lang.Object

Constructor Summary
`jlink()`

Method Summary
`void` | `addAddFile(java.lang.String addfile)` Adds a file to be added into the output.
`void` | `addAddFiles(java.lang.String[] addfiles)` Adds several file to be added into the output.
`void` | `addMergeFile(java.lang.String mergefile)` Adds a file to be merged into the output.
`void` | `addMergeFiles(java.lang.String[] mergefiles)` Adds several files to be merged into the output.
`void` | `link()` Performs the linking of files.
`static void` | `main(java.lang.String[] args)`
`void` | `setCompression(boolean compress)` Determines whether output will be compressed.
`void` | `setOutfile(java.lang.String outfile)` The file that will be created by this instance of jlink.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### jlink

    public jlink()

Method Detail

### setOutfile

    public void setOutfile(java.lang.String outfile)

  The file that will be created by this instance of jlink.

### addMergeFile

    public void addMergeFile(java.lang.String mergefile)

  Adds a file to be merged into the output.

### addAddFile

    public void addAddFile(java.lang.String addfile)

  Adds a file to be added into the output.

### addMergeFiles

    public void addMergeFiles(java.lang.String[] mergefiles)

  Adds several files to be merged into the output.

### addAddFiles

    public void addAddFiles(java.lang.String[] addfiles)

  Adds several file to be added into the output.

### setCompression

    public void setCompression(boolean compress)

  Determines whether output will be compressed.

### link

    public void link()
              throws java.lang.Exception

  Performs the linking of files. Addfiles are added to the output as-is. For example, a jar file is added to the output as a jar file. However, mergefiles are first examined for their type. If it is a jar or zip file, the contents will be extracted from the mergefile and entered into the output. If a zip or jar file is encountered in a subdirectory it will be added, not merged. If a directory is encountered, it becomes the root entry of all the files below it. Thus, you can provide multiple, disjoint directories, as addfiles: they will all be added in a rational manner to outfile.

    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.